libmodule-extractuse-perl_0.33-1_all.deb


Advertisement

Description

libmodule-extractuse-perl - Perl module to find out modules used by the specified Perl source

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmodule-extractuse-perl
Package version: 0.33
Package release: 1
Package architecture: all
Package type: deb
Installed size: 356 B
Download size: 22.77 KB
Official Mirror: ftp.br.debian.org
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl code. It tries very hard to find all modules (whether pragmas, Core, or from CPAN) used by the parsed code. "Usage" is defined by either calling use or require.

Alternatives

    Download

    Source package: libmodule-extractuse-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmodule-extractuse-perl deb package:
      # sudo apt-get install libmodule-extractuse-perl

    Files

    • /usr/share/doc/libmodule-extractuse-perl/changelog.Debian.gz
    • /usr/share/doc/libmodule-extractuse-perl/changelog.gz
    • /usr/share/doc/libmodule-extractuse-perl/copyright
    • /usr/share/doc/libmodule-extractuse-perl/examples/cpan.pl
    • /usr/share/man/man3/Module::ExtractUse.3pm.gz
    • /usr/share/perl5/Module/ExtractUse.pm
    • /usr/share/perl5/Module/ExtractUse/Grammar.pm

    Changelog

    2014-10-17 - gregor herrmann <gregoa@debian.org> libmodule-extractuse-perl (0.33-1) unstable; urgency=medium [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * Add debian/upstream/metadata * debian/watch: add second URL. * Import upstream version 0.33 * Update upstream copyright years. * Update libmodule-build-perl build dependency. * Mark package as autopkgtest-able. Add a patch to find the installed module in the tests. * Declare compliance with Debian Policy 3.9.6.

    2014-06-08 - gregor herrmann <gregoa@debian.org> libmodule-extractuse-perl (0.32-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Daniel Lintott ] * Convert debian/watch back to search.cpan.org for newer releases [ gregor herrmann ] * New upstream release. * Update years of packaging copyright. * Don't install invalid and almost empty Module::ExtractUse::Grammar(3pm). * Declare compliance with Debian Policy 3.9.5.

    2013-08-07 - Florian Schlichting <fsfs@debian.org> libmodule-extractuse-perl (0.31-1) unstable; urgency=low * Imported Upstream version 0.31. * Email change: Florian Schlichting -> fsfs@debian.org. * Update years of packaging copyright.

    2013-03-02 - gregor herrmann <gregoa@debian.org> libmodule-extractuse-perl (0.29-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. * Update years of packaging copyright. * Set Standards-Version to 3.9.4 (no changes).

    2012-08-26 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libmodule-extractuse-perl (0.28-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Florian Schlichting ] * Imported Upstream version 0.28.

    2012-04-13 - Florian Schlichting <fschlich@zedat.fu-berlin.de> libmodule-extractuse-perl (0.27-1) unstable; urgency=low [ gregor herrmann ] * New upstream release. * Drop spelling.patch, merged upstream. * debian/copyright: update to Copyright-Format 1.0. * Update year of upstream copyright. * Bump Standards-Version to 3.9.3 (no changes). * Update build/runtime dependencies. [ Florian Schlichting ] * Add back libtest-deep-perl to build dependencies, needed for testing. * Add libuniversal-require-perl to build dependencies to enable running another test. * Add myself to uploaders and copyright. [ Salvatore Bonaccorso ] * Lower versioned Build-Depends for Module::Build. Lower alternative versioned Build-Depends for libmodule-build-perl to perl (>= 5.11.4) | libmodule-build-perl (>= 0.360100).

    2012-02-18 - gregor herrmann <gregoa@debian.org> libmodule-extractuse-perl (0.24-1) unstable; urgency=low [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * debian/control: Changed: (build-)depend on perl instead of perl- modules. * debian/control: remove version from perl (build) dependency. * Remove alternative (build) dependencies that are already satisfied in oldstable. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * New upstream release. * Switch to "3.0 (quilt)" source format. * Use debhelper 8 and tiny debian/rules. * debian/copyright: update formatting and packaging copyright. * Remove debian/clean, not needed anymore. * Build-Depends on Module::Build 0.38. * Remove some ancient versions from (build)-deps (nothing older in the archive). * Bump Standards-Version to 3.9.2 (no further changes). * Add a patch to fix some spelling mistakes.

    2009-04-25 - gregor herrmann <gregoa@debian.org> libmodule-extractuse-perl (0.23-2) unstable; urgency=low * Fix silly typo in debian/control ("perlm-modules"), thanks to Peter Pentchev for noticing. * Add /me to Uploaders.

    Advertisement
    Advertisement